/* date = April 2nd 2024 2:13 pm */

#ifndef UI_BASIC_WIDGETS_H
#define UI_BASIC_WIDGETS_H


root_function void UI_spacer(UI_Size size);
root_function UI_Signal UI_button(String8 string);
root_function void UI_named_column_begin(String8 name);
root_function void UI_column_begin(void);
root_function void UI_column_end(void);
root_function void UI_named_row_begin(String8 name);
root_function void UI_row_begin(void);
root_function void UI_row_end();

#define UI_padding(size) DeferLoop(UI_spacer(size), UI_spacer(size))
#define UI_column DeferLoop(UI_column_begin(), UI_column_end())
#define UI_row DeferLoop(UI_row_begin(), UI_row_end())

#endif //UI_BASIC_WIDGETS_H
